source("sqlFunctions.R")

## Asegurarse de que la variable file sea la que nos corresponde:
file

# Crear copia de seguridad
sqlBackUp(bu.dir="BU_OVARIO")

# Cargar dependencias
sqlInitialize()

# Inicializar conexión
dta<-odbcConnectAccess2007(access.file = file, 
                           pwd = .rs.askForPassword("Enter password:"))

## Importamos los NHC de las muestras nuevas
nhc.test<-read.xlsx("queryOV.xlsx", sheet = "NHC") %>% pull(NHC)

# Ver si ya hay muestras de los pacientes (opcional, para uno mismo)
sqlShowSamples()

# Generar código OVID para muestras nuevas
sqlGenOVID(sinc=T)

# Rellenar fichero plantilla "QueryOV.xlsx"
sqlWriteTemp()

####
# Rellenar la plantilla con la información de la muestra y/o la información clínica del paciente
####

# Sincronizar lo rellenado en las pestañas samples y clinics
sqlSincBD(sinc.samples = T, sinc.clinics = T)
